@charset "UTF-8";
@import url(./common.css);

/* ------------------------------
Menu
------------------------------ */
/* h4 */
.menu .sec_h4 {
    margin-bottom: 2em;
}
.menu .sec_h4 h4 {
    display: flex;
    justify-content: space-between;
    position: relative;     /* 線の基準 */
    font-size: 120%;
    padding: 1em;
    border-bottom: solid 2px #000;
}
.menu .sec_h4 h4::after {
    content: "";
    display: block;
    height: 1px;
    position: absolute;
    right: 100px;
    bottom: 33px;
    background-color: var(--borderColor);
    z-index: -1;
}
.menu .sec_h4 h4 > span {
    display: block;
}
.menu .sec_h4 h4 > .item {
    background-color: var(--bgColor-1);
    padding-right: 1em;
}
.menu .sec_h4 h4 > .price::before {
    content: "￥";
    display: inline-block;
    font-weight: normal;
    color: var(--textColor-1);
}
.menu .sec_h4 .description {
    padding: 1em;
}

/* ------------------------------
Hair Catalog
------------------------------ */
.catalog_list {
    display: flex;
    align-items: flex-start;
}
.catalog_list .flex_item {
    padding: 10px;
}
.catalog_list > li {
    padding: 5px;
    display: flex;
    flex-direction: column-reverse;
}
.catalog_list img {
    aspect-ratio: 3 / 2;
    object-position: 50% 0%;
}

/* ------------------------------s
スマホ向け
------------------------------ */
@media screen and (max-width: 767px) {

    /* ------------------------------
    Menu
    ------------------------------ */
    /* h4 */
    .menu .sec_h4 h4::after {
        width: 65%;
    }

    /* ------------------------------
    Hair Catalog
    ------------------------------ */
    .catalog_list li {
        flex: 0 0 80%;
    }
}

/* ------------------------------
タブレット向け
------------------------------ */
@media screen and (min-width: 768px) and (max-width: 959px) {

    /* ------------------------------
    Menu
    ------------------------------ */
    /* h4 */
    .menu .sec_h4 h4::after {
        width: 80%;
    }
}

/* ------------------------------
タブレット以下で共通
------------------------------ */
@media screen and (max-width: 959px) {

    /* ------------------------------
    トップの画像
    ------------------------------ */
    .head_img {
        background-image: url(../image/head-image/menu-800.jpg);
    }

    /* ------------------------------
    Menu
    ------------------------------ */
    .menu .flex_item:nth-of-type(2) {
        display: none;
    }

    /* ------------------------------
    Hair Catalog
    ------------------------------ */
    .catalog > .sec_h2 {
        padding-right: 0;   /* 上書き */
        padding-left: 0;    /* 上書き */
    }
    .catalog_list {
        flex-wrap: nowrap;
        justify-content: space-between;
        overflow-x: scroll;
    }
}

/* ------------------------------
ノートパソコン以上で共通
------------------------------ */
@media screen and (min-width: 960px) {

    /* ------------------------------
    トップの画像
    ------------------------------ */
    .head_img {
        background-image: url(../image/head-image/menu-2000.jpg);
    }

    /* ------------------------------
    h3
    ------------------------------ */
    .sec_h3 h3 {
        margin-bottom: 1em;
    }

    /* ------------------------------
    Menu
    ------------------------------ */
    .menu .flex_wrapper {
        display: flex;
        justify-content: space-between;
    }
    .menu .flex_item:nth-of-type(1) {
        width: 59%;
    }
    .menu .flex_item:nth-of-type(2) {
        width: 39%;
        background-repeat: no-repeat;
        background-size: cover;
        background-position: center;
    }
    /* カット */
    .sec_h3.cut .flex_item:nth-of-type(2) {
        background-image: url(../image/other/menu-cut-600-600.jpg);
    }
    /* カラー */
    .sec_h3.color .flex_item:nth-of-type(2) {
        background-image: url(../image/other/menu-color-600-900.jpg);
    }
    /* パーマ */
    .sec_h3.perm .flex_item:nth-of-type(2) {
        background-image: url(../image/other/menu-perm-600-800.jpg);
    }

    /* ------------------------------
    Hair Catalog
    ------------------------------ */
    .catalog_list {
        flex-wrap: wrap;
    }
    .catalog_list > li {
        width: 33%;
        margin-bottom: 2em;
    }
}

/* ------------------------------
ノートパソコン向け
------------------------------ */
@media screen and (min-width: 960px) and (max-width: 1280px) {

    /* ------------------------------
    Menu
    ------------------------------ */
    /* h4 */
    .menu .sec_h4 h4::after {
        width: 70%;
    }

    /* ------------------------------
    Hair Catalog
    ------------------------------ */
    .catalog_list li {
        width: 33%;
    }
}

/* ------------------------------
デスクトップパソコン向け
------------------------------ */
@media screen and (min-width: 1281px) {

    /* ------------------------------
    Menu
    ------------------------------ */
    /* h4 */
    .menu .sec_h4 h4::after {
        width: 80%;
    }

    /* ------------------------------
    Hair Catalog
    ------------------------------ */
    .catalog_list li {
        width: 25%;
    }
}

